Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> CGI abuses >> Mambo Open Source Tar.php Remote File Include Vulnerability


Vulnerability Assessment Details

Mambo Open Source Tar.php Remote File Include Vulnerability

Vulnerability Assessment Summary
Detect Tar.php Remote File Include Vulnerability in Mambo Open Source

Detailed Explanation for this Vulnerability Assessment

Summary :

The remote web server contains a PHP script that is prone to a remote
file include flaw.

Description :

The version of Mambo Open Source on the remote host fails to properly
sanitize input passed through the 'mosConfig_absolute_path' parameter
of the 'Tar.php' script. Provided PHP's 'register_globals' setting is
enabled, a remote attacker may exploit this vulnerability to cause
code to be executed in the context of the user running the web service
or to read arbitrary files on the target.

See also :

http://forum.mamboserver.com/showthread.php?t=32119
http://mamboxchange.com/frs/shownotes.php?group_id=5&release_id=3054

Solution :

Upgrade to Mambo Open Source 4.5.2.1 or later.

Network Security Threat Level:

Medium / CVSS Base Score : 6
(AV:R/AC:H/Au:NR/C:P/A:P/I:P/B:N)

Networks Security ID: 12608

Vulnerability Assessment Copyright: This script is Copyright (C) 2005-2006 Tenable Network Security

Cables, Connectors

HP ProLiant MicroServer N40L Turion II Neo 1.5ghz / 8GB RAM / 4x 2TB Drives
$249.99
HP ProLiant MicroServer N40L Turion II Neo 1.5ghz / 8GB RAM / 4x 2TB Drives pictureHP Proliant Microserver 8GB Ram, 90gb SSD, 4 x 1TB WD red
$255.0
HP Proliant Microserver 8GB Ram, 90gb SSD, 4 x 1TB WD red pictureHP Enterprise P07203-421 ProLiant MicroServer Gen10 Server - AMD Opteron X3418
$582.0
HP Enterprise P07203-421 ProLiant MicroServer Gen10 Server - AMD Opteron X3418 pictureSupermicro SuperChassis 113MTQ-600CB - Rack - Server - Schwarz - ATX,Micro ATX
$498.0
Supermicro SuperChassis 113MTQ-600CB - Rack - Server - Schwarz - ATX,Micro ATX picture


Discussions

No Discussions have been posted on this vulnerability.